"""Add username and display_name and drop name for user table

Revision ID: 83a3a47a6351
Revises: cafa1e01b782
Create Date: 2022-05-04 13:22:46.317796

"""
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

from alembic import op

# revision identifiers, used by Alembic.
revision = "83a3a47a6351"
down_revision = "cafa1e01b782"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("display_name", sa.String(length=256), nullable=True))
    op.add_column("user", sa.Column("username", sa.String(length=256), nullable=False))
    op.drop_column("user", "name")
    op.create_index(op.f("ix_user_username"), "user", ["username"], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("name", mysql.VARCHAR(length=256), nullable=False))
    op.drop_index(op.f("ix_user_username"), table_name="user")
    op.drop_column("user", "username")
    op.drop_column("user", "display_name")
    # ### end Alembic commands ###
