from typing import TYPE_CHECKING

from boto3 import resource
from rgwadmin import RGWAdmin

from app.core.config import settings

if TYPE_CHECKING:
    from boto3.resources.base import ServiceResource
else:
    ServiceResource = object

s3_resource: ServiceResource = resource(
    service_name="s3",
    endpoint_url=settings.OBJECT_GATEWAY_URI,
    aws_access_key_id=settings.CEPH_ACCESS_KEY,
    aws_secret_access_key=settings.CEPH_SECRET_KEY,
    verify=False,
)
rgw = RGWAdmin(
    access_key=settings.CEPH_ACCESS_KEY,
    secret_key=settings.CEPH_SECRET_KEY,
    secure=False,
    server=settings.OBJECT_GATEWAY_URI.split("://")[-1],
)
