from sqlalchemy import create_engine
from sqlalchemy.ext.asyncio import AsyncSession, create_async_engine
from sqlalchemy.orm import sessionmaker

from app.core.config import settings

engine = create_engine(str(settings.SQLALCHEMY_DATABASE_NORMAL_URI), pool_pre_ping=True)
SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)

engineAsync = create_async_engine(settings.SQLALCHEMY_DATABASE_ASYNC_URI, echo=settings.SQLALCHEMY_VERBOSE_LOGGER)
SessionAsync = sessionmaker(engineAsync, expire_on_commit=False, class_=AsyncSession, future=True)
