from datetime import datetime

from pydantic import BaseModel, Field


class JWTToken(BaseModel):
    """
    Schema for a JWT. Only for convenience
    """

    exp: datetime
    sub: str


class ErrorDetail(BaseModel):
    """
    Schema for a error due to a rejected request.
    """

    detail: str = Field(..., description="Detail about the occurred error")
